Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class BusinessServiceList

    java.lang.Object
      com.tibco.bpm.web.client.model.types.BusinessServiceList

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class BusinessServiceList

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Contains a list of `IBusinessServiceTemplate` items containing the Business Service details.

A count of the total number of Business Services on the server is also returned.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `IBusinessServiceTemplate`

Constructor Summary
`BusinessServiceList()`

Method Summary
`java.util.ArrayList<IBusinessServiceTemplate>` | `getItems()` List of the `IBusinessServiceTemplate` items containing details of the Business Services.
`long` | `getTotalItemsOnServer()` The total number of items on the server, this can be more than the number of items retrieved depending on the start row and row count specified when the list was retrieved.
`void` | `setItems(java.util.ArrayList<IBusinessServiceTemplate> items)` List of the `IBusinessServiceTemplate` items containing details of the Business Services.
`void` | `setTotalItemsOnServer(long totalItemsOnServer)` The total number of items on the server, this can be more than the number of items retrieved depending on the start row and row count specified when the list was retrieved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessServiceList

    public BusinessServiceList()

Method Detail

### getTotalItemsOnServer

    public long getTotalItemsOnServer()

  The total number of items on the server, this can be more than the number of items retrieved depending on the start row and row count specified when the list was retrieved.

  Returns:
    Returns the totalItemsOnServer.

### setTotalItemsOnServer

    public void setTotalItemsOnServer(long totalItemsOnServer)

  The total number of items on the server, this can be more than the number of items retrieved depending on the start row and row count specified when the list was retrieved.

  Parameters:
    `totalItemsOnServer` - The totalItemsOnServer to set.

### getItems

    public java.util.ArrayList<IBusinessServiceTemplate> getItems()

  List of the `IBusinessServiceTemplate` items containing details of the Business Services.

  Returns:
    Returns the items.

### setItems

    public void setItems(java.util.ArrayList<IBusinessServiceTemplate> items)

  List of the `IBusinessServiceTemplate` items containing details of the Business Services.

  Parameters:
    `items` - The items to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.